Subject: Re: [bug#56127] [PATCH] gnu: polybar: Update to 3.6.3.

From: Josselin Poiret <[email-masked]>
Date: Wed, 22 Jun 2022 15:42:50 +0200

Hello John

John Kehayias via Guix-patches via <[email-masked]> writes:

> Hi Guix,
>
> Here is a patch to update polybar. There were some slight tweaks needed: new input, remove unneeded native-input, and change where the default configuration file is installed (from /etc) to #$output/etc/xdg.
>
> This last change may look slightly different from the default behavior, but this will put it where it should be found using XDG_CONFIG_DIRS. This was made in the change to polybar that also moved/altered the configuration installation: https://github.com/polybar/polybar/commit/282b0f4e73e9cbb68afd6e168c472e3f422e9a6f#diff-6b4c594394f4751f9012dc3889b278312f0e7275ab48edbe3b02d434e183aa52
>
> I tested that it builds and polybar will find this default configuration file when no config is otherwise found or specified. The default bar looked fine to me. Note that I did test this where I do have XDG_CONFIG_DIRS set for that profile anyway.

Looks good to me as-is, builds and runs fine, although I'd prefer to
keep the file at /etc/, and patch src/utils/file.cpp to look for
$output/etc/polybar/config.ini.  That way, polybar would work without a
config file even when not installed.  Also, if you have the time, could
you move the native-inputs to the new style as an additional commit?

WDYT?
-- 
Josselin Poiret